"""Define AlertData

Revision ID: 8dcbede38b10
Revises: 
Create Date: 2023-09-18 17:10:58.139569

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8dcbede38b10'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('sys_alert_data',
    sa.Column('created_at', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('updated_at', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('deal_status', sa.SmallInteger(), nullable=True),
    sa.Column('alert_id', sa.String(length=128), nullable=True),
    sa.Column('instance', sa.String(length=254), nullable=True),
    sa.Column('alert_item', sa.String(length=254), nullable=True),
    sa.Column('alert_category', sa.Enum('MONITOR', 'APPLICATION', 'OTHER', name='alerttype'), nullable=True),
    sa.Column('alert_source_type', sa.String(length=48), nullable=True),
    sa.Column('alert_time', sa.BigInteger(), nullable=True),
    sa.Column('status', sa.Enum('NORMAL', 'PENDING', 'FIRING', 'RESOLVED', name='alertstatus'), nullable=True),
    sa.Column('labels', sa.JSON(), nullable=True),
    sa.Column('annotations', sa.JSON(), nullable=True),
    sa.Column('origin_alert_data', sa.JSON(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('alert_id')
    )
    op.create_table('alert_to_alert_merge',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('target_id', sa.Integer(), nullable=True),
    sa.Column('origin_id', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(timezone=True), server_default=sa.text('now()'), nullable=True),
    sa.ForeignKeyConstraint(['origin_id'], ['sys_alert_data.id'], ),
    sa.ForeignKeyConstraint(['target_id'], ['sys_alert_data.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('alert_to_alert_merge')
    op.drop_table('sys_alert_data')
    # ### end Alembic commands ###
