# -*- coding: utf-8 -*- #
"""
Time                2023/09/19 09:40
Author:             mingfeng (SunnyQjm)
Email               mfeng@linux.alibaba.com
File                crud.py
Description:
"""
from typing import Optional
from sqlalchemy.orm import Session
from app import models, schemas

################################################################################################
# Define database crud here
################################################################################################
def create_task_id_and_uuid(
        db: Session, uuid_to_task: schemas.UuidToTaskCreate
) -> models.UuidToTask:
    db_uuid_to_task = models.UuidToTask(**uuid_to_task.dict())
    db.add(db_uuid_to_task)
    db.commit()
    db.refresh(db_uuid_to_task)
    return db_uuid_to_task


def get_task_id_by_uuid(uuid: str, db) -> models.UuidToTask :
    return (
        db.query(models.UuidToTask).filter(models.UuidToTask.uuid == uuid).first()
    )

# def get_person_by_name(db: Session, name: str) -> Optional[models.Person]:
#     return db.query(models.Person).filter(models.Person.name == name).first()

# def create_person(db: Session, person: schemas.Person) -> models.Person:
#     person = models.Person(**person.dict())
#     db.add(person)
#     db.commit()
#     db.refresh(person)
#     return person

# def del_person_by_id(db: Session, person_id: int):
#     person = db.get(models.Person, person_id)
#     db.delete(person)
#     db.commit()
