# Generated by Django 3.2.16 on 2023-01-10 02:36

from django.db import migrations, models
import django.db.models.deletion
import lib.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('host', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='SaFixHistToHost',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(max_length=10)),
                ('details', models.TextField(default='')),
                ('host', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='host.hostmodel')),
            ],
            options={
                'db_table': 'sys_sa_fix_hist_host',
            },
        ),
        migrations.CreateModel(
            name='VulAddrModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True)),
                ('description', models.TextField(default='')),
                ('method', models.SmallIntegerField(choices=[(0, 'GET'), (1, 'POST')], default=0, verbose_name='request method')),
                ('url', models.URLField()),
                ('headers', models.TextField(default='{}', verbose_name='请求头')),
                ('params', models.TextField(default='{}', verbose_name='请求路径参数')),
                ('body', models.TextField(default='{}', verbose_name='请求体')),
                ('authorization_type', models.CharField(blank=True, max_length=30)),
                ('authorization_body', models.TextField(default='{}', verbose_name='请求认证体')),
                ('parser', models.TextField(default='{}', verbose_name='parse vul data structure')),
                ('status', models.SmallIntegerField(choices=[(0, 'up'), (1, 'down'), (2, 'uninit')], default=2, verbose_name='vul database status')),
                ('is_edited', models.BooleanField(default=True, verbose_name='Is the vulnerability database editable')),
            ],
            options={
                'db_table': 'sys_vul_db',
            },
        ),
        migrations.CreateModel(
            name='VulJobModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('job_id', models.CharField(max_length=100)),
                ('job_name', models.CharField(max_length=100)),
                ('job_desc', models.TextField(null=True)),
                ('job_start_time', models.DateTimeField(blank=True, null=True, verbose_name='')),
                ('job_end_time', models.DateTimeField(blank=True, null=True, verbose_name='')),
                ('result', models.CharField(max_length=100)),
                ('status', models.CharField(default='success', max_length=20, verbose_name='')),
            ],
            options={
                'db_table': 'sys_vul_job',
            },
        ),
        migrations.CreateModel(
            name='SecurityAdvisoryFixHistoryModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.CharField(default=lib.utils.human_datetime, max_length=20, verbose_name='创建时间')),
                ('deleted_at', models.CharField(max_length=20, null=True)),
                ('cve_id', models.CharField(max_length=100)),
                ('vul_level', models.CharField(max_length=100)),
                ('fixed_at', models.CharField(default=lib.utils.human_datetime, max_length=20, verbose_name='修复时间')),
                ('created_by', models.IntegerField(default='创建者ID')),
                ('status', models.CharField(default='success', max_length=20, verbose_name='修复状态')),
                ('host', models.ManyToManyField(through='vul.SaFixHistToHost', to='host.HostModel', verbose_name='关联主机')),
            ],
            options={
                'db_table': 'sys_sa_fix_hist',
                'unique_together': {('cve_id', 'fixed_at')},
            },
        ),
        migrations.AddField(
            model_name='safixhisttohost',
            name='sa_fix_hist',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vul.securityadvisoryfixhistorymodel'),
        ),
        migrations.CreateModel(
            name='VulModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.CharField(default=lib.utils.human_datetime, max_length=20, verbose_name='创建时间')),
                ('deleted_at', models.CharField(max_length=20, null=True)),
                ('cve_id', models.CharField(max_length=100)),
                ('score', models.CharField(max_length=20, verbose_name='cve score')),
                ('description', models.TextField(default='')),
                ('pub_time', models.CharField(max_length=100, verbose_name='publish time')),
                ('vul_level', models.CharField(blank=True, max_length=100)),
                ('detail', models.TextField(default='')),
                ('software_name', models.CharField(max_length=100)),
                ('fixed_time', models.CharField(max_length=100)),
                ('fixed_version', models.CharField(max_length=100)),
                ('os', models.CharField(max_length=100)),
                ('update_time', models.DateTimeField(blank=True, null=True, verbose_name='')),
                ('status', models.CharField(max_length=100)),
                ('host', models.ManyToManyField(db_constraint=False, to='host.HostModel', verbose_name='关联主机')),
            ],
            options={
                'db_table': 'sys_vul',
                'unique_together': {('cve_id', 'software_name', 'fixed_version', 'os')},
            },
        ),
        migrations.CreateModel(
            name='SecurityAdvisoryModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.CharField(default=lib.utils.human_datetime, max_length=20, verbose_name='创建时间')),
                ('deleted_at', models.CharField(max_length=20, null=True)),
                ('cve_id', models.CharField(max_length=100)),
                ('score', models.CharField(max_length=20, verbose_name='cve score')),
                ('description', models.TextField(default='')),
                ('pub_time', models.CharField(max_length=100, verbose_name='publish time')),
                ('vul_level', models.CharField(blank=True, max_length=100)),
                ('detail', models.TextField(default='')),
                ('software_name', models.CharField(max_length=100)),
                ('fixed_time', models.CharField(max_length=100)),
                ('fixed_version', models.CharField(max_length=100)),
                ('os', models.CharField(max_length=100)),
                ('update_time', models.DateTimeField(blank=True, null=True, verbose_name='')),
                ('host', models.ManyToManyField(db_constraint=False, to='host.HostModel', verbose_name='关联主机')),
            ],
            options={
                'db_table': 'sys_sa',
                'unique_together': {('cve_id', 'software_name', 'fixed_version', 'os')},
            },
        ),
    ]
