# -*- encoding: utf-8 -*-
"""
@File    : urls.py
@Time    : 2022/2/10 下午1:49
@Author  : weidongkl
@Email   : weidong@uniontech.com
@Software: PyCharm
"""
from django.urls import path, include
from rest_framework.routers import DefaultRouter

from apps.vul import views

router = DefaultRouter()
router.register('config', views.VulAddrViewSet)
urlpatterns = [
    path('api/v1/vul/health_check/', views.HealthViewset.as_view({'get': 'health_check'})),
    path('api/v1/vul/', views.VulListView.as_view({'get': 'get_vul_list'})),
    path('api/v1/vul/', include(router.urls)),
    path('api/v1/vul/hist/', views.SaFixHistListView.as_view()),
    path('api/v1/vul/hist/<int:pk>/<str:hostname>/',
         views.SaFixHistDetailHostView.as_view()),
    path('api/v1/vul/hist/<int:pk>/', views.SaFixHistDetailsView.as_view()),
    path('api/v1/vul/summary/', views.VulSummaryView.as_view()),
    path('api/v1/vul/updatesa/', views.UpdateSaView.as_view({'post': 'scan'})),
    path('api/v1/vul/<str:cve_id>/', views.VulListView.as_view({'get': 'get_vul_detail'})),
]
